function [indtrain, indtest] = dissemble(sampleclass, nr_train)

% function [indtrain, indtest] = dissemble(sampleclass, nr_train)
%
% Takes sampleclass matrix as generated by getsampleclass and number of samples,
% returns the indices of the training samples and the test samples
%
% Christian Merkwirth 2002

if isempty(sampleclass)
   indtrain = (1:nr_train)';
   indtest = [];
else
   if length(sampleclass) ~= nr_train
   	error('Sampleclass vector and number of input samples does not match')
	end
   
   indtrain = find(~sampleclass);
	indtest = find(sampleclass);
end
